body{font-family:"Helvetica Neue",Helvetica,Verdana,Arial,sans-serif;background:#fafafa;}
/*导航条效果*/
/*#navList a{position: relative;z-index:10;}
#navList a:before{ content: "";position: absolute; left: 50%;bottom: -2px;width: 0; height: 2px; background: #4285f4; transition: all .3s;}
#navList a:hover:before{ width: 100%; left: 0; right: 0; }*/

#footer{display:none;}
#footer-cnzz{width:960px;background-color: rgba(255, 255, 255, 0.9);background-image:none;border-top: 1px dashed #cccccc; line-height: 40px;}

.postCon{width:100%;}

#Header1_HeaderTitle {
	font-family: 'Microsoft Yahei', Helvetica, Arial, sans-serif;
	font-weight: 500;
        padding-top:0;
	color: #228DFF;
	display: inline-block;
	-webkit-transform-origin: center center;
	-ms-transform-origin: center center;
	transform-origin: center center;
	-webkit-animation-name: shake-slow;
	-ms-animation-name: shake-slow;
	animation-name: shake-slow;
	-webkit-animation-duration: 5s;
	-ms-animation-duration: 5s;
	animation-duration: 5s;
	-webkit-animation-iteration-count: infinite;
	-ms-animation-iteration-count: infinite;
	animation-iteration-count: infinite;
	-webkit-animation-timing-function: ease-in-out;
	-ms-animation-timing-function: ease-in-out;
	animation-timing-function: ease-in-out;
	-webkit-animation-delay: 0s;
	-ms-animation-delay: 0s;
	animation-delay: 0s;
	-webkit-animation-play-state: running;
	-ms-animation-play-state: running;
	animation-play-state: running;
}
@-webkit-keyframes shake-slow {
0% {
	-webkit-transform: translate(0px, 0px) rotate(0deg);
}
2% {
	-webkit-transform: translate(-1px, 3px) rotate(-1.5deg);
}
4% {
	-webkit-transform: translate(-4px, 5px) rotate(-1.5deg);
}
6% {
	-webkit-transform: translate(-1px, 6px) rotate(-0.5deg);
}
8% {
	-webkit-transform: translate(5px, -4px) rotate(-3.5deg);
}
10% {
	-webkit-transform: translate(-7px, -3px) rotate(-3.5deg);
}
12% {
	-webkit-transform: translate(-1px, 8px) rotate(2.5deg);
}
14% {
	-webkit-transform: translate(3px, -5px) rotate(-1.5deg);
}
16% {
	-webkit-transform: translate(1px, 0px) rotate(2.5deg);
}
18% {
	-webkit-transform: translate(-6px, -10px) rotate(-0.5deg);
}
20% {
	-webkit-transform: translate(3px, -2px) rotate(1.5deg);
}
22% {
	-webkit-transform: translate(0px, 0px) rotate(-2.5deg);
}
24% {
	-webkit-transform: translate(-5px, -4px) rotate(1.5deg);
}
26% {
	-webkit-transform: translate(-1px, 3px) rotate(-3.5deg);
}
28% {
	-webkit-transform: translate(1px, 1px) rotate(-3.5deg);
}
30% {
	-webkit-transform: translate(-4px, 8px) rotate(1.5deg);
}
32% {
	-webkit-transform: translate(-9px, 7px) rotate(-3.5deg);
}
34% {
	-webkit-transform: translate(4px, -9px) rotate(-2.5deg);
}
36% {
	-webkit-transform: translate(1px, -6px) rotate(-2.5deg);
}
38% {
	-webkit-transform: translate(-4px, 0px) rotate(-2.5deg);
}
40% {
	-webkit-transform: translate(3px, -7px) rotate(0.5deg);
}
42% {
	-webkit-transform: translate(4px, 4px) rotate(-0.5deg);
}
44% {
	-webkit-transform: translate(8px, -4px) rotate(-2.5deg);
}
46% {
	-webkit-transform: translate(9px, 9px) rotate(-3.5deg);
}
48% {
	-webkit-transform: translate(6px, -8px) rotate(-0.5deg);
}
50% {
	-webkit-transform: translate(-1px, 4px) rotate(-3.5deg);
}
52% {
	-webkit-transform: translate(4px, 6px) rotate(-1.5deg);
}
54% {
	-webkit-transform: translate(9px, -3px) rotate(2.5deg);
}
56% {
	-webkit-transform: translate(8px, -2px) rotate(-3.5deg);
}
58% {
	-webkit-transform: translate(-2px, -9px) rotate(-0.5deg);
}
60% {
	-webkit-transform: translate(-1px, -5px) rotate(2.5deg);
}
62% {
	-webkit-transform: translate(-8px, 3px) rotate(2.5deg);
}
64% {
	-webkit-transform: translate(6px, -2px) rotate(-3.5deg);
}
66% {
	-webkit-transform: translate(-5px, 9px) rotate(-1.5deg);
}
68% {
	-webkit-transform: translate(3px, 1px) rotate(-0.5deg);
}
70% {
	-webkit-transform: translate(6px, 4px) rotate(-1.5deg);
}
72% {
	-webkit-transform: translate(-6px, -5px) rotate(1.5deg);
}
74% {
	-webkit-transform: translate(-8px, 0px) rotate(-0.5deg);
}
76% {
	-webkit-transform: translate(-5px, -8px) rotate(1.5deg);
}
78% {
	-webkit-transform: translate(5px, -3px) rotate(-1.5deg);
}
80% {
	-webkit-transform: translate(-6px, -3px) rotate(-1.5deg);
}
82% {
	-webkit-transform: translate(7px, 8px) rotate(-1.5deg);
}
84% {
	-webkit-transform: translate(-6px, 9px) rotate(0.5deg);
}
86% {
	-webkit-transform: translate(1px, 8px) rotate(-3.5deg);
}
88% {
	-webkit-transform: translate(-9px, -2px) rotate(1.5deg);
}
90% {
	-webkit-transform: translate(4px, -6px) rotate(-1.5deg);
}
92% {
	-webkit-transform: translate(0px, -1px) rotate(0.5deg);
}
94% {
	-webkit-transform: translate(2px, -9px) rotate(2.5deg);
}
96% {
	-webkit-transform: translate(-9px, 1px) rotate(-2.5deg);
}
98% {
	-webkit-transform: translate(-9px, -5px) rotate(-3.5deg);
}
} @-ms-keyframes shake-slow {
	0% {
	-ms-transform: translate(0px, 0px) rotate(0deg);
}
2% {
	-ms-transform: translate(-10px, 5px) rotate(-2.5deg);
}
4% {
	-ms-transform: translate(7px, 7px) rotate(-3.5deg);
}
6% {
	-ms-transform: translate(8px, -7px) rotate(-2.5deg);
}
8% {
	-ms-transform: translate(-8px, 3px) rotate(-0.5deg);
}
10% {
	-ms-transform: translate(3px, -10px) rotate(-1.5deg);
}
12% {
	-ms-transform: translate(-9px, -6px) rotate(2.5deg);
}
14% {
	-ms-transform: translate(-2px, -6px) rotate(-0.5deg);
}
16% {
	-ms-transform: translate(6px, -1px) rotate(0.5deg);
}
18% {
	-ms-transform: translate(5px, -1px) rotate(0.5deg);
}
20% {
	-ms-transform: translate(7px, -5px) rotate(-0.5deg);
}
22% {
	-ms-transform: translate(-8px, 5px) rotate(2.5deg);
}
24% {
	-ms-transform: translate(0px, 4px) rotate(2.5deg);
}
26% {
	-ms-transform: translate(-1px, 2px) rotate(-1.5deg);
}
28% {
	-ms-transform: translate(-1px, -1px) rotate(1.5deg);
}
30% {
	-ms-transform: translate(-5px, -5px) rotate(2.5deg);
}
32% {
	-ms-transform: translate(0px, 7px) rotate(-0.5deg);
}
34% {
	-ms-transform: translate(-9px, 3px) rotate(-0.5deg);
}
36% {
	-ms-transform: translate(3px, -5px) rotate(-2.5deg);
}
38% {
	-ms-transform: translate(5px, 2px) rotate(-0.5deg);
}
40% {
	-ms-transform: translate(6px, -3px) rotate(0.5deg);
}
42% {
	-ms-transform: translate(-4px, -6px) rotate(-0.5deg);
}
44% {
	-ms-transform: translate(9px, 2px) rotate(-3.5deg);
}
46% {
	-ms-transform: translate(6px, -4px) rotate(1.5deg);
}
48% {
	-ms-transform: translate(6px, 5px) rotate(2.5deg);
}
50% {
	-ms-transform: translate(-9px, -2px) rotate(-2.5deg);
}
52% {
	-ms-transform: translate(-7px, 9px) rotate(-0.5deg);
}
54% {
	-ms-transform: translate(-5px, -5px) rotate(-3.5deg);
}
56% {
	-ms-transform: translate(-6px, -10px) rotate(1.5deg);
}
58% {
	-ms-transform: translate(-3px, 1px) rotate(-3.5deg);
}
60% {
	-ms-transform: translate(3px, 5px) rotate(2.5deg);
}
62% {
	-ms-transform: translate(-1px, -8px) rotate(2.5deg);
}
64% {
	-ms-transform: translate(6px, -7px) rotate(-0.5deg);
}
66% {
	-ms-transform: translate(-7px, -1px) rotate(0.5deg);
}
68% {
	-ms-transform: translate(-3px, -4px) rotate(-1.5deg);
}
70% {
	-ms-transform: translate(-10px, 9px) rotate(2.5deg);
}
72% {
	-ms-transform: translate(9px, 9px) rotate(2.5deg);
}
74% {
	-ms-transform: translate(-6px, 8px) rotate(-0.5deg);
}
76% {
	-ms-transform: translate(-5px, -10px) rotate(-2.5deg);
}
78% {
	-ms-transform: translate(-7px, -9px) rotate(-0.5deg);
}
80% {
	-ms-transform: translate(8px, -4px) rotate(2.5deg);
}
82% {
	-ms-transform: translate(9px, 4px) rotate(-0.5deg);
}
84% {
	-ms-transform: translate(-1px, -1px) rotate(2.5deg);
}
86% {
	-ms-transform: translate(-6px, -3px) rotate(0.5deg);
}
88% {
	-ms-transform: translate(-2px, -4px) rotate(0.5deg);
}
90% {
	-ms-transform: translate(5px, 1px) rotate(0.5deg);
}
92% {
	-ms-transform: translate(1px, 2px) rotate(-3.5deg);
}
94% {
	-ms-transform: translate(-5px, -10px) rotate(1.5deg);
}
96% {
	-ms-transform: translate(-6px, 3px) rotate(-3.5deg);
}
98% {
	-ms-transform: translate(-1px, -7px) rotate(-2.5deg);
}
} @keyframes shake-slow {
	0% {
	transform: translate(0px, 0px) rotate(0deg);
}
2% {
	transform: translate(6px, -7px) rotate(2.5deg);
}
4% {
	transform: translate(8px, -8px) rotate(2.5deg);
}
6% {
	transform: translate(1px, -8px) rotate(-3.5deg);
}
8% {
	transform: translate(-3px, 4px) rotate(-0.5deg);
}
10% {
	transform: translate(0px, -3px) rotate(1.5deg);
}
12% {
	transform: translate(-1px, 2px) rotate(0.5deg);
}
14% {
	transform: translate(6px, 6px) rotate(-1.5deg);
}
16% {
	transform: translate(-7px, 4px) rotate(-0.5deg);
}
18% {
	transform: translate(7px, 8px) rotate(-3.5deg);
}
20% {
	transform: translate(-6px, 2px) rotate(1.5deg);
}
22% {
	transform: translate(9px, 5px) rotate(-1.5deg);
}
24% {
	transform: translate(7px, -2px) rotate(0.5deg);
}
26% {
	transform: translate(-7px, -10px) rotate(-0.5deg);
}
28% {
	transform: translate(-10px, -8px) rotate(-1.5deg);
}
30% {
	transform: translate(8px, 4px) rotate(0.5deg);
}
32% {
	transform: translate(0px, 4px) rotate(1.5deg);
}
34% {
	transform: translate(-8px, 6px) rotate(-0.5deg);
}
36% {
	transform: translate(-5px, 7px) rotate(1.5deg);
}
38% {
	transform: translate(-4px, -4px) rotate(-1.5deg);
}
40% {
	transform: translate(9px, 4px) rotate(-1.5deg);
}
42% {
	transform: translate(9px, -5px) rotate(2.5deg);
}
44% {
	transform: translate(-5px, -4px) rotate(-2.5deg);
}
46% {
	transform: translate(7px, -7px) rotate(1.5deg);
}
48% {
	transform: translate(-5px, 8px) rotate(0.5deg);
}
50% {
	transform: translate(9px, 1px) rotate(-1.5deg);
}
52% {
	transform: translate(-9px, -5px) rotate(-3.5deg);
}
54% {
	transform: translate(-2px, 9px) rotate(1.5deg);
}
56% {
	transform: translate(6px, -1px) rotate(1.5deg);
}
58% {
	transform: translate(-6px, 0px) rotate(-0.5deg);
}
60% {
	transform: translate(3px, 1px) rotate(1.5deg);
}
62% {
	transform: translate(5px, -7px) rotate(-0.5deg);
}
64% {
	transform: translate(9px, 2px) rotate(2.5deg);
}
66% {
	transform: translate(6px, 0px) rotate(-2.5deg);
}
68% {
	transform: translate(5px, -4px) rotate(-2.5deg);
}
70% {
	transform: translate(-8px, 5px) rotate(-2.5deg);
}
72% {
	transform: translate(-6px, -2px) rotate(0.5deg);
}
74% {
	transform: translate(-3px, 7px) rotate(-3.5deg);
}
76% {
	transform: translate(-7px, -8px) rotate(-3.5deg);
}
78% {
	transform: translate(-1px, -2px) rotate(2.5deg);
}
80% {
	transform: translate(8px, 6px) rotate(-2.5deg);
}
82% {
	transform: translate(-2px, -9px) rotate(2.5deg);
}
84% {
	transform: translate(8px, -10px) rotate(-0.5deg);
}
86% {
	transform: translate(-6px, 0px) rotate(2.5deg);
}
88% {
	transform: translate(-1px, 9px) rotate(-3.5deg);
}
90% {
	transform: translate(-7px, 8px) rotate(1.5deg);
}
92% {
	transform: translate(-10px, -8px) rotate(0.5deg);
}
94% {
	transform: translate(-8px, 6px) rotate(1.5deg);
}
96% {
	transform: translate(4px, -9px) rotate(2.5deg);
}
98% {
	transform: translate(-4px, 9px) rotate(0.5deg);
}
}



#navList li{position:relative;cursor:pointer;z-index:10;}
#navList li::before {
  content: "";
  position: absolute;
  top: -10px;
  left: 100%;
  width: 0;
  height: 100%;
  border-bottom: 2px solid #4285f4;
  transition: 0.2s all linear;
  z-index:-10;
}
#navList li:hover::before {
  width: 100%;
  left: 0;
}
#navList li:hover ~ li::before {
  left: 0;
}

.buryit{display:none;}  
#blogTitle{display:none;}
#header{height: 90px; width: 960px; /* margin: auto; */ text-align: center; background:none; position: relative;}
#home{ background-color: rgba(255, 255, 255, 0.9);background-image:none;overflow: hidden;box-shadow:1px 1px 2px  #a7a8ad;}
.base_title{width:960px;margin:0 auto;line-height: 36px;background-color: rgba(255, 255, 255, 0.9);padding-top: 20px;box-shadow: 1px 1px 2px  #a7a8ad;}
.title_name a{font-size:36px;color:#473399;font-style:italic;padding: 20px 0 0 45px;text-decoration: none;-webkit-transition: all 0.5s; -moz-transition: all 0.5s; transition: all 0.5s;}
/*.base_title a{text-decoration:none; -webkit-transition: all 0.5s; -moz-transition: all 0.5s; transition: all 0.5s;}
.base_title a{font-size:30px; color:#228DFF; font-family:Iceland;}
.base_title a:hover{-webkit-animation: neon2 1.5s ease-in-out infinite alternate; -moz-animation: neon2 1.5s ease-in-out infinite alternate; animation: neon2 1.5s ease-in-out infinite alternate;}
.base_title a:hover{color:#ffffff;}*/
@-webkit-keyframes neon2{from{text-shadow: 0 0 10px #fff, 0 0 20px #fff, 0 0 30px #fff, 0 0 40px #228DFF, 0 0 70px #228DFF, 0 0 80px #228DFF, 0 0 100px #228DFF, 0 0 150px #228DFF;} to{text-shadow: 0 0 5px #fff, 0 0 10px #fff, 0 0 15px #fff, 0 0 20px #228DFF, 0 0 35px #228DFF, 0 0 40px #228DFF, 0 0 50px #228DFF, 0 0 75px #228DFF;}}
/*glow for mozilla*/
@-moz-keyframes neon1{from{text-shadow: 0 0 10px #fff, 0 0 20px #fff, 0 0 30px #fff, 0 0 40px #FF1177, 0 0 70px #FF1177, 0 0 80px #FF1177, 0 0 100px #FF1177, 0 0 150px #FF1177;} to{text-shadow: 0 0 5px #fff, 0 0 10px #fff, 0 0 15px #fff, 0 0 20px #FF1177, 0 0 35px #FF1177, 0 0 40px #FF1177, 0 0 50px #FF1177, 0 0 75px #FF1177;}}
/*glow*/
@keyframes neon1{from{text-shadow: 0 0 10px #fff, 0 0 20px #fff, 0 0 30px #fff, 0 0 40px #228DFF, 0 0 70px #228DFF, 0 0 80px #228DFF, 0 0 100px #228DFF, 0 0 150px #228DFF;} to{text-shadow: 0 0 5px #fff, 0 0 10px #fff, 0 0 15px #fff, 0 0 20px #228DFF, 0 0 35px #228DFF, 0 0 40px #228DFF, 0 0 50px #228DFF, 0 0 75px #228DFF;}}
.base_title1{font-size:12px;float:right;padding-right: 42px;background-image:linear-gradient(to right, red, orange, yellow, green, yellow, orange, red, orange, yellow, green, yellow, orange, red);
		        -webkit-text-fill-color: transparent;
		        -webkit-background-clip: text;
		        -webkit-background-size: 200% 100%;
		        -webkit-animation: base_title1-animation 5s infinite linear;}
@-webkit-keyframes base_title1-animation {
          	0%{ background-position: 0 0;}
         	100% { background-position: -100% 0;}
        }
#MySignature{font-size:16px; font-style: oblique;float:right;padding-right: 42px;background-image:linear-gradient(to right, red, orange, yellow, green, yellow, orange, red, orange, yellow, green, yellow, orange, red);
		        -webkit-text-fill-color: transparent;
		        -webkit-background-clip: text;
		        -webkit-background-size: 200% 100%;
		        -webkit-animation: MySignature-animation 5s infinite linear;}
@-webkit-keyframes MySignature-animation {
          	0%{ background-position: 0 0;}
         	100% { background-position: -100% 0;}
        }
#navigator{background: #dede;}
#navList a{padding:20px;}
#blog_stats{margin-right:20px;}
#navList a{font-size:16px;}
#navList a:hover{text-decoration: none;}
.catListTitle{color: #fff; font-size: 1.2em; border-bottom: 1px solid #dadfe1; height: 1.5em; line-height: 1.5em; background: #2eb1e8; border-top-left-radius: 7px; border-top-right-radius: 7px; padding: 5px; text-indent: 1em; text-shadow: 1px 1px 0 rgba(0,0,0,.3);}
#topicList,#sideBar{margin:0;height:auto;}
#topicList{width:610px;padding-left:40px;}
#sideBar{padding:0 40px;}
#footer{width:960px;background-color: rgba(255, 255, 255, 0.9);background-image:none;border-top: 1px dashed #cccccc;}
#topics .postTitle{font-size:28px;background:none;}
#topics .postTitle a{transition: all 0.3s;}
#topics .postTitle a:hover{margin-left:30px;font-style: oblique;}
#cnblogs_post_body h2:first-child{ font-size: 18px; background: #efefef; border: 1px dashed #ccc;}
#cnblogs_post_body img {max-width: 100%;}

.git-link {
    z-index: 100;
    position: fixed;
    top: 0;
    right: 0;
    border: 0;
    height: 149px;
    width: 149px;
    background-image: url(//images2015.cnblogs.com/blog/459873/201603/459873-20160317090540131-1089895320.png);
    background-image: url(https://github-camo.global.ssl.fastly.net/652c5b9acfaddf3a9c326fa6bde407b87f7be0f4/68747470733a2f2f73332e616d617a6f6e6177732e636f6d2f6769746875622f726962626f6e732f666f726b6d655f72696768745f6f72616e67655f6666373630302e706e67);
}
@media screen and (max-width:500px){
 .base_title,#home,#footer-cnzz{width:100%;}
 #home{padding:0;}
.base_title1{
      text-align: center;
      display: inline-block;
      width: 100%;
      padding-right:0;
}
.base_title{padding-top:10px;}
.postBody p, .postCon p{margin-left:10px;}
.postTitle{padding:0 5px;}
.postBody{padding:5px 1%;}
#sideBarMain,.day{padding:5px;}
.newsItem{display:none;}
}